Issue 12688 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Status: CLOSED FIXED
Product: utilities
Classification: Unclassified
Component: code
644
All All
: P3 trivial (vote)
: OOo 1.1 Beta2
Assigned To: hennes.rohling
Unknown
:
Depends on:
Blocks: 11945
  Show dependency treegraph
 
Reported: 2003-03-26 19:04 UTC by matthias.huetsch
Modified: 2003-04-29 13:09 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-26 19:04:03 UTC
Hi Hennes,

Several dynamically loaded shared libraries delivered by project 'util'
fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.

Affected in module 'extensions' are the following libraries:

libbib644ss.so	(util/extensions/source/bibliography)
liboic644ss.so	(util/extensions/source/installation/office/instchk)
libpk644ss.so	(util/extensions/source/packer)
libres644ss.so	(util/extensions/source/resource)
libsvg644ss.so	(util/extensions/source/svg)
libxmx644ss.so	(util/extensions/source/xmlextract)

Affected in module 'eventattacher' is the following library:

libevtatt.so	(util/eventattacher/source)

Affected in module 'fileaccess' is the following library:

libfileacc.so	(util/fileaccess/source)

All modules (extensions, eventattacher, fileaccess) have already been added to
'cws_srx644_tune01', were this issue shall be fixed.

Please notify / dispatch to the appropriate owner(s).

Thanks,
Matthias
Comment 1 matthias.huetsch 2003-03-26 19:05:43 UTC
Added tentative target milestone 'OOo 1.1 Beta2' and dependency to
meta task 11945.
Comment 2 matthias.huetsch 2003-03-26 21:32:06 UTC
Now really adding target milestone...
Comment 3 matthias.huetsch 2003-04-03 11:39:32 UTC
Already fixed:

libfileacc.so	(util/fileaccess/source)
libevtatt.so	(util/eventattacher/source)
libxmx644ss.so	(util/extensions/source/xmlextract)

Please fix the remaining libraries in 'extensions' until Friday COB.
Comment 4 hennes.rohling 2003-04-03 13:09:29 UTC
Owners assigned:

libbib644ss.so	OS
libpk644ss.so   CL
libsvg644ss.so  CL
libres644ss.so  PL

liboic644ss.so seems to be obsolete. I'll check if this component 
can be removed.
Comment 5 philipp.lohmann 2003-04-03 13:42:56 UTC
fixed libres for extensions/source/resource
Comment 6 matthias.huetsch 2003-04-03 19:31:12 UTC
Also fixed are:

libbib644ss.so	(util/extensions/source/bibliography) (by OS)
libpk644ss.so	(util/extensions/source/packer)
libsvg644ss.so	(util/extensions/source/svg)

thus no more help needed from CL.

This leaves us with Hennes to check for 'liboic's usage, only.

Comment 7 hennes.rohling 2003-04-08 09:48:21 UTC
liboic isn't used -> removed
Comment 8 matthias.huetsch 2003-04-15 09:58:53 UTC
Verified...
Comment 9 matthias.huetsch 2003-04-29 13:09:55 UTC
Verified integration into SRX644/m12s1 -> closing.